SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   GNU Image Manipulation Program (GIMP) Vendors:   GNU [multiple authors]
GNU Image Manipulation Program (GIMP) Buffer Overflow in Processing GIF Files Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1025929
SecurityTracker URL:  http://securitytracker.com/id/1025929
CVE Reference:   CVE-2011-2896   (Links to External Site)
Date:  Aug 15 2011
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 2.6.11
Description:   A vulnerability was reported in GNU Image Manipulation Program (GIMP). A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create a specially crafted GIF image file that, when loaded by the target user, will trigger a buffer overflow in LZWReadByte() and execute arbitrary code on the target system. The code will run with the privileges of the target user.

The vulnerability resides in 'plug-ins/common/file-gif-load.c'.

Impact:   A remote user can create a file that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a source code fix, available at:

http://git.gnome.org/browse/gimp/commit/?id=376ad788c1a1c31d40f18494889c383f6909ebfc

Vendor URL:  www.gimp.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Nov 30 2011 (Oracle Issues Fix for Solaris) GNU Image Manipulation Program (GIMP) Buffer Overflow in Processing GIF Files Lets Remote Users Execute Arbitrary Code
Oracle has issued a fix for Solaris 10 and 11 Express.
Aug 20 2012 (Red Hat Issues Fix) GNU Image Manipulation Program (GIMP) Buffer Overflow in Processing GIF Files Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Aug 20 2012 (Red Hat Issues Fix) GNU Image Manipulation Program (GIMP) Buffer Overflow in Processing GIF Files Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has issued a fix for Red Hat Enterprise Linux 5.



 Source Message Contents

Date:  Mon, 15 Aug 2011 14:41:18 +0000
Subject:  GIMP


file-gif-load: fix heap corruption and buffer overflow (CVE-2011-2896)

http://git.gnome.org/browse/gimp/commit/?id=376ad788c1a1c31d40f18494889c383f6909ebfc
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC